import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function increConfigList(data) {
  return request({
    url: `/increConfig/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function increConfigListExport(data, name) {
  return postBlob({
    url: '/increConfig/list/export',
    data,
    name
  })
}

export function increConfigDetail(params) {
  return request({
    url: '/increConfig/detail',
    method: 'post',
    params: params
  })
}

export function increConfigAdd(data) {
  return request({
    url: '/increConfig/add',
    method: 'post',
    data: data
  })
}

export function increConfigUpdate(data) {
  return request({
    url: '/increConfig/update',
    method: 'post',
    data: data
  })
}

export function increConfigUpOrDown(data) {
  return request({
    url: '/increConfig/upOrDown',
    method: 'post',
    data: data
  })
}

